<template>
    <svg 
        xmlns="http://www.w3.org/2000/svg" 
        :width="width" 
        :height="height" 
        viewBox="0 0 400 225"
        
        
    >
        <rect fill="#A7A9AC" width="400" height="225"/>
        <rect fill="#E6E7E8" width="200" height="110.693"/>
        <rect x="200" y="114.307" fill="#58595B" width="200" height="110.693"/>
        <path fill="#E6E7E8" d="M200,114.307v96.592c53.739,0,97.411-43.082,98.376-96.592H200z"/>
        <path fill="#58595B" d="M200.188,110.693V14.102c-53.739,0-97.411,43.082-98.376,96.592H200.188z"/>
        <rect y="110.693" width="400" height="3.613"/>
        <path fill="#FFFFFF" d="M200,2.607c-60.692,0-109.893,49.201-109.893,109.893c0,60.692,49.201,109.893,109.893,109.893
            c60.692,0,109.893-49.2,109.893-109.893C309.893,51.808,260.692,2.607,200,2.607z M200,217.795
            c-58.153,0-105.295-47.143-105.295-105.295C94.705,54.347,141.847,7.205,200,7.205c58.152,0,105.295,47.142,105.295,105.295
            C305.295,170.652,258.152,217.795,200,217.795z"/>
        <path fill="#FFFFFF" d="M200,14.102c-54.344,0-98.398,44.055-98.398,98.398s44.055,98.398,98.398,98.398
            s98.398-44.055,98.398-98.398S254.344,14.102,200,14.102z M200,205.877c-51.571,0-93.377-41.807-93.377-93.377
            c0-51.571,41.806-93.377,93.377-93.377c51.57,0,93.377,41.806,93.377,93.377C293.377,164.07,251.57,205.877,200,205.877z"/>
        <text transform="matrix(1 0 0 1 132.9082 67.7129)">
            <tspan x="0" y="0" :fill="color" font-family="'MyriadPro-Regular'" font-size="16">
                Error: File not found;
            </tspan>
            <tspan x="0" y="19.2" :fill="color" font-family="'MyriadPro-Regular'" font-size="16">
                or
            </tspan>
            <tspan x="0" y="38.4" :fill="color" font-family="'MyriadPro-Regular'" font-size="16">
                no Internet connect;
            </tspan>
        </text>
    </svg>
</template>

<script>
//style="margin-left:-50%;"
//@contextmenu="$event.preventDefault()"
//aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"
export default {
    name: 'ErrorSVG',
    components: {
        
    },
    props:{
        color:String,
        width:Number,
        height:Number
    },
    mounted(){
        
    },
    data: () => ({
       
    }),
    methods:{
        
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    
</style>
